<template>
    <div class="commondity">
        <ul>
            <li v-for="(item,index) in commodity" :key="index">
                <div class="img-wrap">
                    <img :src="item.img">
                </div>
                <div class="btn-wrap">
                    <van-tag round type="success" v-for="(ite,inde) in item.tag" :key="inde">{{ite}}</van-tag>
                </div>
                <p>
                    {{item.introduction}}
                </p>
                <div class="integral"><span>{{item.integral}}积分</span></div>
            </li>
        </ul>
    </div>
</template>

<script>
import {Tag} from 'vant';
export default {
    name: 'Commondity',
    components:{
        [Tag.name]: Tag,
    },
    data(){
        return{
            commodity:[
                {
                    img:'https://img.yzcdn.cn/vant/apple-1.jpg',
                    tag:['标签','标签'],
                    introduction:'美的(Midea)电水壶1.7L 双层防烫WHJ1705C',
                    integral:1000
                },
                {
                    img:'https://img.yzcdn.cn/vant/apple-1.jpg',
                    tag:['标签','标签'],
                    introduction:'美的(Midea)电水壶1.7L 双层防烫WHJ1705C',
                    integral:1000
                },
                {
                    img:'https://img.yzcdn.cn/vant/apple-1.jpg',
                    tag:['标签','标签'],
                    introduction:'美的(Midea)电水壶1.7L 双层防烫WHJ1705C',
                    integral:1000
                },
                {
                    img:'https://img.yzcdn.cn/vant/apple-1.jpg',
                    tag:['标签','标签'],
                    introduction:'美的(Midea)电水壶1.7L 双层防烫WHJ1705C',
                    integral:1000
                },
                {
                    img:'https://img.yzcdn.cn/vant/apple-1.jpg',
                    tag:['标签','标签'],
                    introduction:'美的(Midea)电水壶1.7L 双层防烫WHJ1705C',
                    integral:1000
                },
                {
                    img:'https://img.yzcdn.cn/vant/apple-1.jpg',
                    tag:['标签','标签'],
                    introduction:'美的(Midea)电水壶1.7L 双层防烫WHJ1705C',
                    integral:1000
                }
            ]
        }
    }

}
</script>

<style scoped lang="less">
@width:176px;
@height:235px;
    .commondity{
        margin-top: 10px;
        margin-left: 7.5px;
        ul{
            display: flex;
            flex-wrap: wrap;
            li{
                width: @width;
                height: @height;
                display: flex;
                flex-direction: column;
                border:1px solid #EFEFEF;
                margin-bottom: 4px;
                .img-wrap{
                    height: 150px;
                    flex-shrink: 0;
                    img{
                        width: 119px;
                        height: 131px;
                        padding: 14.5px 29.5px 4.5px 29.5px;
                    }
                }
                .btn-wrap{
                    display: inline-flex;
                    padding-left: 1.5px;
                    margin: 0 13.5px;
                    .van-tag{
                        font-size: 9px;
                        margin-right: 7.5px;
                        line-height: 9px;
                        border:1px solid #F04919;
                        color: #F04919;
                        background-color: #fff;
                    }
                }
                p{
                    height: 36px;
                    line-height: 18px;
                    font-size: 14px;
                    font-weight: 500;
                    overflow: hidden;
                    margin: 4px 13.5px 6px 13.5px;
                }
                .integral{
                    font-size: 13px;
                    color: #D7A269;
                    text-align: center;
                    margin: 0 13.5px;
                }
            }
            li:nth-child(odd){
                margin-right: 4px;
            }
        }
    }
</style>
